Problem installing rgdal

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem installing rgdal

Jeremy Kraft
Hello,

I'm trying to reinstall rgdal, but I have a problem with the sqlite
dependency.
Below is the R output.

Does someone knows how to solve the problem?

Thanks,

Jeremy

-------------------------------------------------------------------------------------------------------------------------------
jeremy@yuri-HP-ProBook-640-G1:/$ R

R version 3.4.4 (2018-03-15) -- "Someone to Lean On"
Copyright (C) 2018 The R Foundation for Statistical Computing
Platform: x86_64-pc-linux-gnu (64-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY.
You are welcome to redistribute it under certain conditions.
Type 'license()' or 'licence()' for distribution details.

  Natural language support but running in an English locale

R is a collaborative project with many contributors.
Type 'contributors()' for more information and
'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or
'help.start()' for an HTML browser interface to help.
Type 'q()' to quit R.

> install.packages('rgdal')
Installing package into ‘/home/jeremy/R/x86_64-pc-linux-gnu-library/3.4’
(as ‘lib’ is unspecified)
trying URL 'https://cloud.r-project.org/src/contrib/rgdal_1.3-6.tar.gz'
Content type 'application/x-gzip' length 1666975 bytes (1.6 MB)
==================================================
downloaded 1.6 MB

* installing *source* package ‘rgdal’ ...
** package ‘rgdal’ successfully unpacked and MD5 sums checked
configure: R_HOME: /usr/lib/R
configure: CC: gcc -std=gnu99
configure: CXX: g++
configure: C++11 support available
configure: rgdal: 1.3-6
checking for /usr/bin/svnversion... no
configure: svn revision: 773
checking for gdal-config... /usr/bin/gdal-config
checking gdal-config usability... yes
configure: GDAL: 2.2.3
checking GDAL version >= 1.11.4... yes
checking gdal: linking with --libs only... no
checking gdal: linking with --libs and --dep-libs... no
/usr/bin/ld: /usr/lib/libgdal.a(genbindataset.o): relocation R_X86_64_32
against `.rodata.str1.8' can not be used when making a PIE object;
recompile with -fPIC
/usr/bin/ld: /usr/lib/libgdal.a(geotiff.o): relocation R_X86_64_32 against
`.rodata.str1.1' can not be used when making a PIE object; recompile with
-fPIC
/usr/bin/ld: /usr/lib/libgdal.a(gff_dataset.o): relocation R_X86_64_32S
against hidden symbol `_ZTV10GFFDataset' can not be used when making a PIE
object

*
* Long list
*
/usr/bin/ld: /usr/lib/libgdal.a(gmlhandler.o): relocation R_X86_64_32
against `.rodata.str1.1' can not be used when making a PIE object;
recompile with -fPIC
/usr/bin/ld: /usr/lib/libgdal.a(ili2handler.o): relocation R_X86_64_32S
against hidden symbol `_ZTV11ILI2Handler' can not be used when making a PIE
object
/usr/bin/ld: /usr/lib/libgdal.a(nashandler.o): relocation R_X86_64_32
against `.rodata.str1.8' can not be used when making a PIE object;
recompile with -fPIC
/usr/bin/ld: /usr/lib/libgdal.a(ntf_codelist.o): relocation R_X86_64_32
against `.rodata.str1.1' can not be used when making a PIE object;
recompile with -fPIC
/usr/bin/ld: /usr/lib/libgdal.a(ntf_estlayers.o): relocation R_X86_64_32S
against hidden symbol `_ZN11OGRNTFLayer12GetLayerDefnEv' can not be used
when making a PIE object
/usr/bin/ld: /usr/lib/libgdal.a(ntf_raster.o): relocation R_X86_64_32S
against hidden symbol `_ZTV17OGRNTFRasterLayer' can not be used when making
a PIE object
/usr/bin/ld: /usr/lib/libgdal.a(ogrmssqlgeometryparser.o): relocation
R_X86_64_32S against `.rodata' can not be used when making a PIE object;
recompile with -fPIC
/usr/bin/ld: final link failed: Nonrepresentable section on output
collect2: error: ld returned 1 exit status
/usr/bin/ld: /usr/lib/libgdal.a(ogrsqliteapiroutines.o): undefined
reference to symbol 'sqlite3_prepare'
/usr/lib/x86_64-linux-gnu/libsqlite3.so.0: error adding symbols: DSO
missing from command line
collect2: error: ld returned 1 exit status
configure: Install failure: compilation and/or linkage problems.
configure: error: GDALAllRegister not found in libgdal.
ERROR: configuration failed for package ‘rgdal’
* removing ‘/home/jeremy/R/x86_64-pc-linux-gnu-library/3.4/rgdal’

The downloaded source packages are in
    ‘/tmp/RtmpKSJ85K/downloaded_packages’
Warning message:
In install.packages("rgdal") :
  installation of package ‘rgdal’ had non-zero exit status

        [[alternative HTML version deleted]]

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Problem installing rgdal

Alex Mandel-2
On 11/6/18 09:31, Jeremy Kraft wrote:

> Hello,
>
> I'm trying to reinstall rgdal, but I have a problem with the sqlite
> dependency.
> Below is the R output.
>
> Does someone knows how to solve the problem?
>
> Thanks,
>
> Jeremy
>
> -------------------------------------------------------------------------------------------------------------------------------
> jeremy@yuri-HP-ProBook-640-G1:/$ R
>
> R version 3.4.4 (2018-03-15) -- "Someone to Lean On"
> Copyright (C) 2018 The R Foundation for Statistical Computing
> Platform: x86_64-pc-linux-gnu (64-bit)
>
> R is free software and comes with ABSOLUTELY NO WARRANTY.
> You are welcome to redistribute it under certain conditions.
> Type 'license()' or 'licence()' for distribution details.
>
>   Natural language support but running in an English locale
>
> R is a collaborative project with many contributors.
> Type 'contributors()' for more information and
> 'citation()' on how to cite R or R packages in publications.
>
> Type 'demo()' for some demos, 'help()' for on-line help, or
> 'help.start()' for an HTML browser interface to help.
> Type 'q()' to quit R.
>
>> install.packages('rgdal')
> Installing package into ‘/home/jeremy/R/x86_64-pc-linux-gnu-library/3.4’
> (as ‘lib’ is unspecified)
> trying URL 'https://cloud.r-project.org/src/contrib/rgdal_1.3-6.tar.gz'
> Content type 'application/x-gzip' length 1666975 bytes (1.6 MB)
> ==================================================
> downloaded 1.6 MB
>
> * installing *source* package ‘rgdal’ ...
> ** package ‘rgdal’ successfully unpacked and MD5 sums checked
> configure: R_HOME: /usr/lib/R
> configure: CC: gcc -std=gnu99
> configure: CXX: g++
> configure: C++11 support available
> configure: rgdal: 1.3-6
> checking for /usr/bin/svnversion... no
> configure: svn revision: 773
> checking for gdal-config... /usr/bin/gdal-config
> checking gdal-config usability... yes
> configure: GDAL: 2.2.3
> checking GDAL version >= 1.11.4... yes
> checking gdal: linking with --libs only... no
> checking gdal: linking with --libs and --dep-libs... no
> /usr/bin/ld: /usr/lib/libgdal.a(genbindataset.o): relocation R_X86_64_32
> against `.rodata.str1.8' can not be used when making a PIE object;
> recompile with -fPIC
> /usr/bin/ld: /usr/lib/libgdal.a(geotiff.o): relocation R_X86_64_32 against
> `.rodata.str1.1' can not be used when making a PIE object; recompile with
> -fPIC
> /usr/bin/ld: /usr/lib/libgdal.a(gff_dataset.o): relocation R_X86_64_32S
> against hidden symbol `_ZTV10GFFDataset' can not be used when making a PIE
> object
>
> *
> * Long list
> *
> /usr/bin/ld: /usr/lib/libgdal.a(gmlhandler.o): relocation R_X86_64_32
> against `.rodata.str1.1' can not be used when making a PIE object;
> recompile with -fPIC
> /usr/bin/ld: /usr/lib/libgdal.a(ili2handler.o): relocation R_X86_64_32S
> against hidden symbol `_ZTV11ILI2Handler' can not be used when making a PIE
> object
> /usr/bin/ld: /usr/lib/libgdal.a(nashandler.o): relocation R_X86_64_32
> against `.rodata.str1.8' can not be used when making a PIE object;
> recompile with -fPIC
> /usr/bin/ld: /usr/lib/libgdal.a(ntf_codelist.o): relocation R_X86_64_32
> against `.rodata.str1.1' can not be used when making a PIE object;
> recompile with -fPIC
> /usr/bin/ld: /usr/lib/libgdal.a(ntf_estlayers.o): relocation R_X86_64_32S
> against hidden symbol `_ZN11OGRNTFLayer12GetLayerDefnEv' can not be used
> when making a PIE object
> /usr/bin/ld: /usr/lib/libgdal.a(ntf_raster.o): relocation R_X86_64_32S
> against hidden symbol `_ZTV17OGRNTFRasterLayer' can not be used when making
> a PIE object
> /usr/bin/ld: /usr/lib/libgdal.a(ogrmssqlgeometryparser.o): relocation
> R_X86_64_32S against `.rodata' can not be used when making a PIE object;
> recompile with -fPIC
> /usr/bin/ld: final link failed: Nonrepresentable section on output
> collect2: error: ld returned 1 exit status
> /usr/bin/ld: /usr/lib/libgdal.a(ogrsqliteapiroutines.o): undefined
> reference to symbol 'sqlite3_prepare'
> /usr/lib/x86_64-linux-gnu/libsqlite3.so.0: error adding symbols: DSO
> missing from command line
> collect2: error: ld returned 1 exit status
> configure: Install failure: compilation and/or linkage problems.
> configure: error: GDALAllRegister not found in libgdal.
> ERROR: configuration failed for package ‘rgdal’
> * removing ‘/home/jeremy/R/x86_64-pc-linux-gnu-library/3.4/rgdal’
>
> The downloaded source packages are in
>     ‘/tmp/RtmpKSJ85K/downloaded_packages’
> Warning message:
> In install.packages("rgdal") :
>   installation of package ‘rgdal’ had non-zero exit status
>
>

Looks like an issue with your system libgdal-dev package, perhaps
reinstall the system dependencies. Which OS are you installing on?

Thanks,
Alex

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Problem installing rgdal

Alex Mandel-2
Jeremy,

Please keep the thread on list so every-one can see the
discussion/solution (reply-all).

I don't have a 18.10 box to test on quickly. But can you review what
steps you did, ie: what system packages did you install before
attempting to install rgdal? Usually you need libgdal-dev libproj-dev
and perhaps libsqlite3-dev libgeos-dev (all of these are supposed to be
dependencies of libgdal-dev).

Also it might be good to jump this over to the R-sig-debian list where
many people are familiar with the OS
https://stat.ethz.ch/mailman/listinfo/r-sig-debian (also covers ubuntu &
mint, all debian derivatives). One option is usually the marutter ppa
which has system packages for cran libraries, however it doesn't appear
to support 18.10 yet
http://sites.psu.edu/theubunturblog/installing-r-in-ubuntu/

Thanks,
Alex


On 11/7/18 01:51, Jeremy Kraft wrote:

> I'm on linux, ubuntu 18.10. I've been trying to reinstall  libgdal-dev but
> that did not solve the problem.
>
> Thanks,
>
> On Tue, Nov 6, 2018 at 7:12 PM Alex M <[hidden email]> wrote:
>
>> On 11/6/18 09:31, Jeremy Kraft wrote:
>>> Hello,
>>>
>>> I'm trying to reinstall rgdal, but I have a problem with the sqlite
>>> dependency.
>>> Below is the R output.
>>>
>>> Does someone knows how to solve the problem?
>>>
>>> Thanks,
>>>
>>> Jeremy
>>>
>>>
>> -------------------------------------------------------------------------------------------------------------------------------
>>> jeremy@yuri-HP-ProBook-640-G1:/$ R
>>>
>>> R version 3.4.4 (2018-03-15) -- "Someone to Lean On"
>>> Copyright (C) 2018 The R Foundation for Statistical Computing
>>> Platform: x86_64-pc-linux-gnu (64-bit)
>>>
>>> R is free software and comes with ABSOLUTELY NO WARRANTY.
>>> You are welcome to redistribute it under certain conditions.
>>> Type 'license()' or 'licence()' for distribution details.
>>>
>>>   Natural language support but running in an English locale
>>>
>>> R is a collaborative project with many contributors.
>>> Type 'contributors()' for more information and
>>> 'citation()' on how to cite R or R packages in publications.
>>>
>>> Type 'demo()' for some demos, 'help()' for on-line help, or
>>> 'help.start()' for an HTML browser interface to help.
>>> Type 'q()' to quit R.
>>>
>>>> install.packages('rgdal')
>>> Installing package into ‘/home/jeremy/R/x86_64-pc-linux-gnu-library/3.4’
>>> (as ‘lib’ is unspecified)
>>> trying URL 'https://cloud.r-project.org/src/contrib/rgdal_1.3-6.tar.gz'
>>> Content type 'application/x-gzip' length 1666975 bytes (1.6 MB)
>>> ==================================================
>>> downloaded 1.6 MB
>>>
>>> * installing *source* package ‘rgdal’ ...
>>> ** package ‘rgdal’ successfully unpacked and MD5 sums checked
>>> configure: R_HOME: /usr/lib/R
>>> configure: CC: gcc -std=gnu99
>>> configure: CXX: g++
>>> configure: C++11 support available
>>> configure: rgdal: 1.3-6
>>> checking for /usr/bin/svnversion... no
>>> configure: svn revision: 773
>>> checking for gdal-config... /usr/bin/gdal-config
>>> checking gdal-config usability... yes
>>> configure: GDAL: 2.2.3
>>> checking GDAL version >= 1.11.4... yes
>>> checking gdal: linking with --libs only... no
>>> checking gdal: linking with --libs and --dep-libs... no
>>> /usr/bin/ld: /usr/lib/libgdal.a(genbindataset.o): relocation R_X86_64_32
>>> against `.rodata.str1.8' can not be used when making a PIE object;
>>> recompile with -fPIC
>>> /usr/bin/ld: /usr/lib/libgdal.a(geotiff.o): relocation R_X86_64_32
>> against
>>> `.rodata.str1.1' can not be used when making a PIE object; recompile with
>>> -fPIC
>>> /usr/bin/ld: /usr/lib/libgdal.a(gff_dataset.o): relocation R_X86_64_32S
>>> against hidden symbol `_ZTV10GFFDataset' can not be used when making a
>> PIE
>>> object
>>>
>>> *
>>> * Long list
>>> *
>>> /usr/bin/ld: /usr/lib/libgdal.a(gmlhandler.o): relocation R_X86_64_32
>>> against `.rodata.str1.1' can not be used when making a PIE object;
>>> recompile with -fPIC
>>> /usr/bin/ld: /usr/lib/libgdal.a(ili2handler.o): relocation R_X86_64_32S
>>> against hidden symbol `_ZTV11ILI2Handler' can not be used when making a
>> PIE
>>> object
>>> /usr/bin/ld: /usr/lib/libgdal.a(nashandler.o): relocation R_X86_64_32
>>> against `.rodata.str1.8' can not be used when making a PIE object;
>>> recompile with -fPIC
>>> /usr/bin/ld: /usr/lib/libgdal.a(ntf_codelist.o): relocation R_X86_64_32
>>> against `.rodata.str1.1' can not be used when making a PIE object;
>>> recompile with -fPIC
>>> /usr/bin/ld: /usr/lib/libgdal.a(ntf_estlayers.o): relocation R_X86_64_32S
>>> against hidden symbol `_ZN11OGRNTFLayer12GetLayerDefnEv' can not be used
>>> when making a PIE object
>>> /usr/bin/ld: /usr/lib/libgdal.a(ntf_raster.o): relocation R_X86_64_32S
>>> against hidden symbol `_ZTV17OGRNTFRasterLayer' can not be used when
>> making
>>> a PIE object
>>> /usr/bin/ld: /usr/lib/libgdal.a(ogrmssqlgeometryparser.o): relocation
>>> R_X86_64_32S against `.rodata' can not be used when making a PIE object;
>>> recompile with -fPIC
>>> /usr/bin/ld: final link failed: Nonrepresentable section on output
>>> collect2: error: ld returned 1 exit status
>>> /usr/bin/ld: /usr/lib/libgdal.a(ogrsqliteapiroutines.o): undefined
>>> reference to symbol 'sqlite3_prepare'
>>> /usr/lib/x86_64-linux-gnu/libsqlite3.so.0: error adding symbols: DSO
>>> missing from command line
>>> collect2: error: ld returned 1 exit status
>>> configure: Install failure: compilation and/or linkage problems.
>>> configure: error: GDALAllRegister not found in libgdal.
>>> ERROR: configuration failed for package ‘rgdal’
>>> * removing ‘/home/jeremy/R/x86_64-pc-linux-gnu-library/3.4/rgdal’
>>>
>>> The downloaded source packages are in
>>>     ‘/tmp/RtmpKSJ85K/downloaded_packages’
>>> Warning message:
>>> In install.packages("rgdal") :
>>>   installation of package ‘rgdal’ had non-zero exit status
>>>
>>>
>>
>> Looks like an issue with your system libgdal-dev package, perhaps
>> reinstall the system dependencies. Which OS are you installing on?
>>
>> Thanks,
>> Alex
>>
>>
>

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Problem installing rgdal

Jeremy Kraft
Thanks Alex for the help!

I managed to solve the problem:

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
I did:
• ubuntu-gis repository wasn't added correctly, but was added 5 times. I
removed everything ubuntu-gis related from `sources.list.d`
• I removed and purged `r-base`, `r-core`, `gdal-bin`, `libgdal-dev`, and
did autoremove aufterwards.
• rebooted
• added ubuntu-gis correctly (the way their webpage suggested), installed
`gdal-bin`, `libgdal-dev`, `R` + packages. No errors whatsoever.


On Wed, Nov 7, 2018 at 6:33 PM Alex M <[hidden email]> wrote:

> Jeremy,
>
> Please keep the thread on list so every-one can see the
> discussion/solution (reply-all).
>
> I don't have a 18.10 box to test on quickly. But can you review what
> steps you did, ie: what system packages did you install before
> attempting to install rgdal? Usually you need libgdal-dev libproj-dev
> and perhaps libsqlite3-dev libgeos-dev (all of these are supposed to be
> dependencies of libgdal-dev).
>
> Also it might be good to jump this over to the R-sig-debian list where
> many people are familiar with the OS
> https://stat.ethz.ch/mailman/listinfo/r-sig-debian (also covers ubuntu &
> mint, all debian derivatives). One option is usually the marutter ppa
> which has system packages for cran libraries, however it doesn't appear
> to support 18.10 yet
> http://sites.psu.edu/theubunturblog/installing-r-in-ubuntu/
>
> Thanks,
> Alex
>
>
> On 11/7/18 01:51, Jeremy Kraft wrote:
> > I'm on linux, ubuntu 18.10. I've been trying to reinstall  libgdal-dev
> but
> > that did not solve the problem.
> >
> > Thanks,
> >
> > On Tue, Nov 6, 2018 at 7:12 PM Alex M <[hidden email]>
> wrote:
> >
> >> On 11/6/18 09:31, Jeremy Kraft wrote:
> >>> Hello,
> >>>
> >>> I'm trying to reinstall rgdal, but I have a problem with the sqlite
> >>> dependency.
> >>> Below is the R output.
> >>>
> >>> Does someone knows how to solve the problem?
> >>>
> >>> Thanks,
> >>>
> >>> Jeremy
> >>>
> >>>
> >>
> -------------------------------------------------------------------------------------------------------------------------------
> >>> jeremy@yuri-HP-ProBook-640-G1:/$ R
> >>>
> >>> R version 3.4.4 (2018-03-15) -- "Someone to Lean On"
> >>> Copyright (C) 2018 The R Foundation for Statistical Computing
> >>> Platform: x86_64-pc-linux-gnu (64-bit)
> >>>
> >>> R is free software and comes with ABSOLUTELY NO WARRANTY.
> >>> You are welcome to redistribute it under certain conditions.
> >>> Type 'license()' or 'licence()' for distribution details.
> >>>
> >>>   Natural language support but running in an English locale
> >>>
> >>> R is a collaborative project with many contributors.
> >>> Type 'contributors()' for more information and
> >>> 'citation()' on how to cite R or R packages in publications.
> >>>
> >>> Type 'demo()' for some demos, 'help()' for on-line help, or
> >>> 'help.start()' for an HTML browser interface to help.
> >>> Type 'q()' to quit R.
> >>>
> >>>> install.packages('rgdal')
> >>> Installing package into
> ‘/home/jeremy/R/x86_64-pc-linux-gnu-library/3.4’
> >>> (as ‘lib’ is unspecified)
> >>> trying URL 'https://cloud.r-project.org/src/contrib/rgdal_1.3-6.tar.gz
> '
> >>> Content type 'application/x-gzip' length 1666975 bytes (1.6 MB)
> >>> ==================================================
> >>> downloaded 1.6 MB
> >>>
> >>> * installing *source* package ‘rgdal’ ...
> >>> ** package ‘rgdal’ successfully unpacked and MD5 sums checked
> >>> configure: R_HOME: /usr/lib/R
> >>> configure: CC: gcc -std=gnu99
> >>> configure: CXX: g++
> >>> configure: C++11 support available
> >>> configure: rgdal: 1.3-6
> >>> checking for /usr/bin/svnversion... no
> >>> configure: svn revision: 773
> >>> checking for gdal-config... /usr/bin/gdal-config
> >>> checking gdal-config usability... yes
> >>> configure: GDAL: 2.2.3
> >>> checking GDAL version >= 1.11.4... yes
> >>> checking gdal: linking with --libs only... no
> >>> checking gdal: linking with --libs and --dep-libs... no
> >>> /usr/bin/ld: /usr/lib/libgdal.a(genbindataset.o): relocation
> R_X86_64_32
> >>> against `.rodata.str1.8' can not be used when making a PIE object;
> >>> recompile with -fPIC
> >>> /usr/bin/ld: /usr/lib/libgdal.a(geotiff.o): relocation R_X86_64_32
> >> against
> >>> `.rodata.str1.1' can not be used when making a PIE object; recompile
> with
> >>> -fPIC
> >>> /usr/bin/ld: /usr/lib/libgdal.a(gff_dataset.o): relocation R_X86_64_32S
> >>> against hidden symbol `_ZTV10GFFDataset' can not be used when making a
> >> PIE
> >>> object
> >>>
> >>> *
> >>> * Long list
> >>> *
> >>> /usr/bin/ld: /usr/lib/libgdal.a(gmlhandler.o): relocation R_X86_64_32
> >>> against `.rodata.str1.1' can not be used when making a PIE object;
> >>> recompile with -fPIC
> >>> /usr/bin/ld: /usr/lib/libgdal.a(ili2handler.o): relocation R_X86_64_32S
> >>> against hidden symbol `_ZTV11ILI2Handler' can not be used when making a
> >> PIE
> >>> object
> >>> /usr/bin/ld: /usr/lib/libgdal.a(nashandler.o): relocation R_X86_64_32
> >>> against `.rodata.str1.8' can not be used when making a PIE object;
> >>> recompile with -fPIC
> >>> /usr/bin/ld: /usr/lib/libgdal.a(ntf_codelist.o): relocation R_X86_64_32
> >>> against `.rodata.str1.1' can not be used when making a PIE object;
> >>> recompile with -fPIC
> >>> /usr/bin/ld: /usr/lib/libgdal.a(ntf_estlayers.o): relocation
> R_X86_64_32S
> >>> against hidden symbol `_ZN11OGRNTFLayer12GetLayerDefnEv' can not be
> used
> >>> when making a PIE object
> >>> /usr/bin/ld: /usr/lib/libgdal.a(ntf_raster.o): relocation R_X86_64_32S
> >>> against hidden symbol `_ZTV17OGRNTFRasterLayer' can not be used when
> >> making
> >>> a PIE object
> >>> /usr/bin/ld: /usr/lib/libgdal.a(ogrmssqlgeometryparser.o): relocation
> >>> R_X86_64_32S against `.rodata' can not be used when making a PIE
> object;
> >>> recompile with -fPIC
> >>> /usr/bin/ld: final link failed: Nonrepresentable section on output
> >>> collect2: error: ld returned 1 exit status
> >>> /usr/bin/ld: /usr/lib/libgdal.a(ogrsqliteapiroutines.o): undefined
> >>> reference to symbol 'sqlite3_prepare'
> >>> /usr/lib/x86_64-linux-gnu/libsqlite3.so.0: error adding symbols: DSO
> >>> missing from command line
> >>> collect2: error: ld returned 1 exit status
> >>> configure: Install failure: compilation and/or linkage problems.
> >>> configure: error: GDALAllRegister not found in libgdal.
> >>> ERROR: configuration failed for package ‘rgdal’
> >>> * removing ‘/home/jeremy/R/x86_64-pc-linux-gnu-library/3.4/rgdal’
> >>>
> >>> The downloaded source packages are in
> >>>     ‘/tmp/RtmpKSJ85K/downloaded_packages’
> >>> Warning message:
> >>> In install.packages("rgdal") :
> >>>   installation of package ‘rgdal’ had non-zero exit status
> >>>
> >>>
> >>
> >> Looks like an issue with your system libgdal-dev package, perhaps
> >> reinstall the system dependencies. Which OS are you installing on?
> >>
> >> Thanks,
> >> Alex
> >>
> >>
> >
>
>

--
Jeremy Kraft
Data Scientist

Parkbob GmbH
[hidden email] <[hidden email]>
www.parkbob.com
FN 430551 p FB-Gericht: Handelsgericht Wien

The contents of this e-mail message and any attachments are confidential
and are intended solely for the addressee. This transmission is sent in
trust, for the sole purpose of delivery to the intended recipient. If you
have received this transmission in error, any use, reproduction or
dissemination of this transmission is strictly prohibited. If you are not
the intended recipient, please immediately *notify* the sender by reply
e-mail or phone and *delete* this message and its attachments, if any.

        [[alternative HTML version deleted]]

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo